Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.java.io
Interface EndianInput

public interface EndianInput
extends java.io.DataInput

Provides an interface that is implemented by streams that can read primitive Java data types from a stream in a machine-dependent manner.

See Also:
  `EndianInputStream`, `EndianOutput`

Method Summary
`char` | `readHiLoChar()` Reads two bytes of a Unicode char value in high-low order from the input stream.
`int` | `readHiLoInt()` Reads four bytes of a int value in high-low order from the input stream.
`long` | `readHiLoLong()` Reads eight bytes of a long value in high-low order from the input stream.
`short` | `readHiLoShort()` Reads two bytes of a short value in high-low order from the input stream.
`char` | `readLoHiChar()` Reads two bytes of a Unicode char value in low-high order from the input stream.
`int` | `readLoHiInt()` Reads four bytes of a int value in low-high order from the input stream.
`long` | `readLoHiLong()` Reads eight bytes of a long value in low-high order from the input stream.
`short` | `readLoHiShort()` Reads two bytes of a short value in low-high order from the input stream.

Methods inherited from interface java.io.DataInput
`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

Method Detail

### readHiLoShort

    public short readHiLoShort()
                        throws java.io.IOException

  Reads two bytes of a short value in high-low order from the input stream.
  Returns:
    The 16-bit value read.
  Throws:
    EOFException - If this stream reaches the end before reading all the bytes.
    java.io.IOException - If an I/O error occurs.

### readLoHiShort

    public short readLoHiShort()
                        throws java.io.IOException

  Reads two bytes of a short value in low-high order from the input stream.
  Returns:
    The 16-bit value read.
  Throws:
    EOFException - If this stream reaches the end before reading all the bytes.
    java.io.IOException - If an I/O error occurs.

### readHiLoChar

    public char readHiLoChar()
                      throws java.io.IOException

  Reads two bytes of a Unicode char value in high-low order from the input stream.
  Returns:
    The Unicode char read.
  Throws:
    EOFException - If this stream reaches the end before reading all the bytes.
    java.io.IOException - If an I/O error occurs.

### readLoHiChar

    public char readLoHiChar()
                      throws java.io.IOException

  Reads two bytes of a Unicode char value in low-high order from the input stream.
  Returns:
    The Unicode char read.
  Throws:
    EOFException - If this stream reaches the end before reading all the bytes.
    java.io.IOException - If an I/O error occurs.

### readHiLoInt

    public int readHiLoInt()
                    throws java.io.IOException

  Reads four bytes of a int value in high-low order from the input stream.
  Returns:
    The int value read.
  Throws:
    EOFException - If this stream reaches the end before reading all the bytes.
    java.io.IOException - If an I/O error occurs.

### readLoHiInt

    public int readLoHiInt()
                    throws java.io.IOException

  Reads four bytes of a int value in low-high order from the input stream.
  Returns:
    The int value read.
  Throws:
    EOFException - If this stream reaches the end before reading all the bytes.
    java.io.IOException - If an I/O error occurs.

### readHiLoLong

    public long readHiLoLong()
                      throws java.io.IOException

  Reads eight bytes of a long value in high-low order from the input stream.
  Returns:
    The long value read.
  Throws:
    EOFException - If this stream reaches the end before reading all the bytes.
    java.io.IOException - If an I/O error occurs.

### readLoHiLong

    public long readLoHiLong()
                      throws java.io.IOException

  Reads eight bytes of a long value in low-high order from the input stream.
  Returns:
    The long value read.
  Throws:
    EOFException - If this stream reaches the end before reading all the bytes.
    java.io.IOException - If an I/O error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD